{=============================================================================
  Unit    : DEMO.PAS

  Author  : Rob McGregor, Screaming Tiki (tm) Interactive
            73122.3125@compuserve.com

  Purpose : Simple app to test and demonstrate the ROLLUP class.
 =============================================================================}

unit Demo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    btnTestRollup: TButton;
    btnGenericRollup: TButton;
    btnAbout: TButton;
    btnClose: TButton;
    procedure btnGenericRollupClick(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
    procedure btnTestRollupClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  end;

var
  Form1: TForm1;


{=============================================================================}
implementation

uses
  Rollup,   { Generic rollup form template }
  RU_Test;  { Modified rollup form }

{$R *.DFM}

procedure TForm1.btnGenericRollupClick(Sender: TObject);
begin
  frmRollup.show
end;

procedure TForm1.btnAboutClick(Sender: TObject);
const
  NL  = #13 + #10;
  MSG = 'Rollup Demo App' + NL + NL +
        'This test application was quickly' + NL +
        'hacked together to demonstrate a' + NL +
        'basic implementation of a Rollup' + NL +
        'Tool-Palette form class...' + NL + NL +
        'Developed by Rob McGregor at' + NL +
        'Screaming Tiki (tm) Interactive,' + NL +
        '73122.3125@compuserve.com';
begin
  MessageBeep (MB_ICONINFORMATION);
  MessageBox (handle, MSG, 'About', MB_ICONINFORMATION);
end;

procedure TForm1.btnTestRollupClick(Sender: TObject);
begin
  frmRollupTest.show;
end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  close;
end;

end.
