unit EditMain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, HexEdits, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    HexEdit1: THexEdit;
    PopupMenu1: TPopupMenu;
    Decimal1: TMenuItem;
    Dual1: TMenuItem;
    Octal1: TMenuItem;
    Hexadezimal1: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure NumBaseClick(Sender: TObject);
    procedure HexEdit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.NumBaseClick(Sender: TObject);
begin
  if      Sender =Dual1    then HexEdit1.NumBase :=ebBin
  else if Sender =Decimal1 then HexEdit1.NumBase :=ebDec
  else if Sender =Octal1   then HexEdit1.NumBase :=ebOct
  else                          HexEdit1.NumBase :=ebHex;
  case HexEdit1.NumBase of
    ebHex: Label1.Caption :='(Hex) =';
    ebDec: Label1.Caption :='(Dec) =';
    ebOct: Label1.Caption :='(Oct) =';
    ebBin: Label1.Caption :='(Bin) =';
  end;{case}
end;

procedure TForm1.HexEdit1Change(Sender: TObject);
begin
  Label2.Caption :=IntToStr( HexEdit1.Value) +' (Dec)';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  HexEdit1Change(Self);
end;

end.
