unit Logtest;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs,
  Logdata, StdCtrls, Gauges, ExtCtrls, LogCtrls, Graph, Select;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    CheckBox2: TCheckBox;
    Button2: TButton;
    SimpelGraph1: TGraph;
    Timer1: TTimer;
    LogFile2: TLogFile;
    LogText1: TLogText;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    LogText2: TLogText;
    LogText3: TLogText;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    X: LongInt;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DeleteFile('TEST.LOG');
  SimpelGraph1.Add('XY1', LogFile2);
  SimpelGraph1.Add('XY2', LogFile2);
  SimpelGraph1.Add('XY3', LogFile2);
  SimpelGraph1.Add('XY4', LogFile2);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  LogFile2.Log('XY1', MakeLog(10*Cos(X/20.2), 10*Sin(X/17)));
  LogFile2.Log('XY2', MakeLog(10*Cos(X/20.4), 10*Sin(X/19)));
  LogFile2.Log('XY3', MakeLog(10*Cos(X/20.6), 10*Sin(X/21)));
  LogFile2.Log('XY4', MakeLog(10*Cos(X/20.8), 10*Sin(X/23)));
  Inc(X);
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  LogFile2.Active := CheckBox2.Checked;
  Timer1.Enabled := LogFile2.Active;
end;


procedure TForm1.Button2Click(Sender: TObject);
Var
  I: Integer;
  SD: TStreamSelectDialog;
begin
  SD := TStreamSelectDialog.Create(Self);
  try
    SD.LogFile := LogFile2;
    SD.ShowModal;
    With SD.StreamList Do
    begin
      If SelCount > 0 Then
        For I := 0 To Items.Count-1 Do
          If Selected[I] Then
            SimpelGraph1.Add(Items[I], LogFIle2);
    end;
  finally
    SD.Free;
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
  Button1Click(Sender);
end;

end.
