program FontEdit;

uses
  Forms,
  WinProcs,
  WinTypes,
  Main in 'MAIN.PAS' {FontEditorForm},
  Newfont in 'NEWFONT.PAS' {NewFontForm},
  Preview in 'PREVIEW.PAS' {PreviewForm},
  Options in 'OPTIONS.PAS' {OptionsDlg};

{$R *.RES}

var hwnd:Word;
begin
  if hPrevInst = 0 then
    begin
      Application.Title := 'FontEdit';
      Application.CreateForm(TFontEditorForm, FontEditorForm);
      Application.CreateForm(TNewFontForm, NewFontForm);
      Application.CreateForm(TPreviewForm, PreviewForm);
      Application.CreateForm(TOptionsDlg, OptionsDlg);
      Application.Run;
    end
  else
    begin
      hwnd := FindWindow('TFontEditorForm',nil);
      if (not IsWindowVisible(hwnd)) then
        begin
          ShowWindow(hwnd,sw_ShowNormal);
          PostMessage(hwnd,wm_UserRestore,0,0);
        end
      else
        SetWindowPos(hwnd,HWND_TOP,0,0,0,0,SWP_NOSIZE or SWP_NOMOVE);
    end;
end.

