{+}
{ Aml Bmp Selector
{  1996, Amedeo Lanza - Torino, Italy
{ amldc@mbox.vol.it
{
{ original idea and code from GEditor
{  1995, Daniel Parnell - Melbourne, Australia
{ s921878@minyos.xx.rmit.edu.au
{
{ USE:
{ Install this unit as custom component to override Delphi's
{ standard Graphic Selector
{
{-}
unit GrSelect;

interface
uses DsgnIntf,forms,wintypes,winprocs,graphics,extctrls;

type
  TGraphicEditor=class(TClassProperty)
  public
    procedure Edit; override;
    function GetAttributes:TPropertyAttributes; override;
  end;

procedure Register;

implementation
uses BmpSel;

procedure TGraphicEditor.Edit;
var
  Pix : TAmlBmpSelector;
{  h   : tHandle;}

begin
  Pix:=TAmlBmpSelector.Create(Application);
  try
    Pix.Image.Picture.Bitmap:=Tbitmap.Create;
    Pix.Image.Picture.Bitmap.Assign(TBitmap(GetOrdValue));
    if pix.ShowModal=idOK then
      SetOrdValue(longint(Pix.Image.Picture.Bitmap));
  finally
    Pix.Free;
  end;
end;

function TGraphicEditor.GetAttributes:TPropertyAttributes;
begin
  GetAttributes:=[paMultiSelect,paDialog,paReadOnly];
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TBitmap),nil,'',TGraphicEditor);
end;

end.

