unit Module;

interface

uses
	SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Toolhelp;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
		procedure Button1Click(Sender: TObject);
	private
		{ Private declarations }
	public
		{ Public declarations }
	end;

var
	Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
const
	{These 4 modules are loaded,
	 if Delphi IDE is running}
	aDel: array[1..4] of string =
		('DELPHI', 'W8LOSS', 'DELPHIED', 'DELPHIKB');
var
	aRec: TModuleEntry;
	i, j: integer;
begin
		i:=4;
		aRec.dwSize:=Sizeof(TModuleEntry);
		ListBox1.Clear;

		{Get first module}
		if (ModuleFirst(@aRec)) then
		repeat

			{add module name into listbox}
			ListBox1.Items.Add(aRec.szModule);

			{is module a Delphi module?}
			for j:=1 to 4 do
				if (aDel[j]=StrPas(aRec.szModule)) then
					dec(i);
		until (not ModuleNext(@aRec));

		{If all 4 modules found then Delphi IDE isn't running}
		if i<>0 then
			MessageDlg('Delphi-IDE is not running!', mtError, [mbok],0)
		else
			MessageDlg('Delphi-IDE is running!', mtinformation, [mbok],0)
end;

end.
