unit Select;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, LogData;

type
  TStreamSelectDialog = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    StreamList: TListBox;
    Label1: TLabel;
  private
      { Private declarations }
    FLogFile: TLogFile;
    procedure SetLogFile(Value: TLogFile);
  public
    { Public declarations }
    property LogFile: TLogFile read FLogFile write SetLogFile;
  end;

var
  StreamSelectDialog: TStreamSelectDialog;

implementation

{$R *.DFM}

procedure TStreamSelectDialog.SetLogFile(Value: TLogFile);
var
  Streams: TStringList;
begin
  FLogFile := Value;
  Streams := FLogFile.GetStreams;
  Try
    Caption := FLogFile.FileName;
    StreamList.Items.Clear;
    StreamList.Items.AddStrings(Streams);
  Finally
    Streams.Free;
  End;
end;

end.
