unit Umouseh;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Spin,MouseHi, Buttons;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    SpinEdit3: TSpinEdit;
    SpinEdit4: TSpinEdit;
    SpinEdit5: TSpinEdit;
    Label6: TLabel;
    SpinEdit6: TSpinEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    MouseHint1: TMouseHint;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure SpinEdit4Change(Sender: TObject);
    procedure SpinEdit5Change(Sender: TObject);
    procedure SpinEdit6Change(Sender: TObject);
    procedure Panel1DblClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    function MouseHint1WhatControl(Sender: TObject;
      Control: TControl): Boolean;
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  With MouseHint1 do
  Begin
    { some delays in milliseconds }
    SpinEdit1.Value:=DelayBegin;
    SpinEdit2.Value:=DelayClick;
    SpinEdit3.Value:=DelayDblClick;
    SpinEdit4.Value:=DelayBetween;
    SpinEdit5.Value:=DelayEnd;
    SpinEdit6.Value:=DelayHint;
  end;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  if RadioGroup1.ItemIndex=0 then MouseHint1.MouseButton:=mbLeft
                             else MouseHint1.MouseButton:=mbRight;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  MouseHint1.DblClick:=CheckBox1.Checked;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  MouseHint1.DelayBegin:=SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  MouseHint1.DelayClick:=SpinEdit2.Value;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  MouseHint1.DelayDblClick:=SpinEdit3.Value;
end;

procedure TForm1.SpinEdit4Change(Sender: TObject);
begin
  MouseHint1.DelayBetween:=SpinEdit4.Value;
end;

procedure TForm1.SpinEdit5Change(Sender: TObject);
begin
  MouseHint1.DelayEnd:=SpinEdit5.Value;
end;

procedure TForm1.SpinEdit6Change(Sender: TObject);
begin
  MouseHint1.DelayHint:=SpinEdit6.Value;
end;

procedure TForm1.Panel1DblClick(Sender: TObject);
begin
  ShowMessage('Right !');
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
Var Res:Word;
begin
  Res:=WinExec('write readme.wri',SW_SHOWMAXIMIZED);
  if Res<32 then
     Raise Exception.Create('Error: '+IntToStr(Res)+' executing README.WRI');
end;

{ this event is optional. Allows to select more than one
  component.
}
function TForm1.MouseHint1WhatControl(Sender: TObject;
  Control: TControl): Boolean;
begin
  result:=(Control=Panel1) or (Control=BitBtn2);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  ShowMessage('Funny !');
end;

end.
