unit AboutDlg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs;

type
  TAmlAboutDlg = class(TComponent)
  private
    FProduct,FVersion,FCopyRight,FComments: string;
    FCountry: integer;
    { Private declarations }
  protected
    { Protected declarations }
  public
    function Execute: boolean;
    { Public declarations }
  published
    property Product:   string read FProduct   write FProduct;
    property Version:   string read FVersion   write FVersion;
    property Copyright: string read FCopyright write FCopyright;
    property Comments:  string read FComments  write FComments;
    property Country:  integer read FCountry   write FCountry;
    { Published declarations }
  end;

procedure Register;

implementation

function ShowAmlAboutBox(
          aProduct: PChar;
          aVersion: PChar;
          aCopyRight :PChar;
          aComments: PChar;
          aCountry: integer): integer; far;
          external 'AmlSoft';

procedure Register;
begin
  RegisterComponents('AmlSoft', [TAmlAboutDlg]);
end;

function TAmlAboutDlg.Execute: boolean;
var
  Prod,Vers,Copr,Comt,Coun : array [0..255] of char;
begin
  if FProduct = '' then FProduct := Application.Title;
  StrPCopy (Prod,FProduct);
  StrPCopy (Vers,FVersion);
  StrPCopy (Copr,FCopyright);
  StrPCopy (Comt,FComments);
  result := (ShowAmlAboutBox(Prod,Vers,Copr,Comt,FCountry) = mrOK);
end;

end.
