unit Vtsshdr;
{ VisualTools Formula One version 2.0.3}
{ Interface unit to access vtssdll}
{ Corrections were made from var <var> : WordBool to var <var> : wordbool}
{ Warning : Only functions marked with + sign were tested}
{ 12/06/95}
{ The functions marked with +c01 the declarations were corrected}
interface
uses WinTypes, WinProcs{, Graphics};

const

 DM_FIRST                = 0;
 DM_LAST                 = 1;
 DM_NEXT                 = 2;
 DM_PREV                 = 3;
 DM_ROW                  = 4;
 DM_DELETE               = 5;

 GR_FROMSTART            = 0;
 GR_FROMEND              = 1;
 GR_FROMMIDDLE           = 2;
 GR_MOVECURRENT          = 3;
 GR_SCROLLFIRST          = 4;
 GR_SCROLLLAST           = 5;

 kMaxEditLength          = 1024;

 kFormatRCNrBufSize      = 16;

 kModeNormal             = 0;
 kModeLine               = 1;
 kModeRectangle          = 2;
 kModeOval               = 3;
 kModeArc                = 4;
 kModeChart              = 5;
 kModeField              = 6;
 kModeButton             = 7;
 kModePolygon            = 8;
 kModeCheckBox           = 9;
 kModeDropDown           = 10;
 kModeLast               = 10;

 kPolyEditModeNormal     = 0;
 kPolyEditModePoints     = 1;

 kShiftHorizontal        = 1;
 kShiftVertical          = 2;
 kShiftRows              = 3;
 kShiftCols              = 4;

 kHAlignGeneral          = 1;
 kHAlignLeft             = 2;
 kHAlignCenter           = 3;
 kHAlignRight            = 4;
 kHAlignFill             = 5;
 kHAlignJustify          = 6;
 kHAlignCenterAcrossCells= 7;

 kVAlignTop              = 1;
 kVAlignCenter           = 2;
 kVAlignBottom           = 3;

 kFileFormulaOne         = 1;
 kFileExcel4             = 2;
 kFileTabbedText         = 3;

 kClearDlg               = 0;
 kClearAll               = 1;
 kClearFormats           = 2;
 kClearValues            = 3;

 kSSObjLine              = 1;
 kSSObjRectangle         = 2;
 kSSObjOval              = 3;
 kSSObjArc               = 4;
 kSSObjButton            = 7;
 kSSObjPolygon           = 8;
 kSSObjCheckBox          = 9;
 kSSObjDropDown          = 10;

type
   RC         = integer;
   tSS        = longint;
   SSERROR = integer;
   LRESULT = integer;
   tSSEDIT = tHandle;
   OBJID   = longint;
   OBJPOS  = single;

 function SSAddColPageBreak(hSS : tSS; nCol : RC):SSERROR; far;
 function SSAddPageBreak(hSS : tSS):SSERROR; far;
 function SSAddRowPageBreak(hSS : tSS; nRow : RC):SSERROR; far;
 function SSAddSelection(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC):SSERROR; far;
 function SSAttach(hSS : tSS; pTitle : pChar):SSERROR; far;
 function SSAttachToSS(hDs : tSS; hSrcSS : tSS):SSERROR; far;
 function SSCalculationDlg(hSS : tSS):SSERROR; far;
 function SSCallWindowProc(hSS : tSS; UnMessage : integer; wParam : word; lParam : word):LRESULT;
 function SSCancelEdit(hSS : tSS):SSERROR; far;
{+}function SSCanEditPaste(hSS : tSS; var pCanEditPaste : wordbool):SSERROR; far;
 function SSCheckModified(hSS : tSS):SSERROR; far;
 function SSCheckRecalc(hSS : tSS):SSERROR; far;
{+} function SSClearClipboard:SSERROR; far;
{+}function SSClearRange(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; nClearType : integer):SSERROR; far;
 function SSColorPaletteDlg(hSS : tSS):SSERROR; far;
{+}function SSColWidthDlg(hSS : tSS):SSERROR; far;
 function SSCopyAll(hDs : tSS; hSrcSS : tSS):SSERROR; far;
 function SSCopyRange(hDs : tSS; nDstR1 : RC; nDstC1 : RC; nDstR2 : RC; nDstC2 : RC;
                     hSrcSS : tSS; nSrcR1 : RC; nSrcC1 : RC; nSrcR2 : RC; nSrcC2 : RC):SSERROR; far;
 function SSDefinedNameDlg(hSS : tSS):SSERROR; far;
 function SSDelete(hSS : tSS; bSendDeleteTableMsg : WordBool):SSERROR; far;
 function SSDeleteDefinedName(hSS : tSS; pName : pChar):SSERROR; far;
{+}function SSDeleteRange(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; nShiftType : integer):SSERROR; far;
 function SSDeleteTable(hSS : tSS):SSERROR; far;
{! function SSDraw(hSS : tSS; DC : hDC; x : integer; y : integer; cx : integer; cy : integer;
                 nRow : RC; nCol : RC; var pRows : RC; var pCols : RC; nFixedRow : RC;
                 nFixedCol : RC; nFixedRows : RC; nFixedCols : RC):SSERROR; far;}
 function SSEditBarDelete(hSSEdit : tSSEDIT):SSERROR; far;
 function SSEditBarHeight : integer;
 function SSEditBarMove(hSSEdit : tSSEDIT; x : integer; y : integer; cx : integer; cy : integer):SSERROR; far;
 function SSEditBarNew(hWndParent : hWnd; var pSSEdit : tSSEDIT):SSERROR; far;
{+}function SSEditClear(hSS : tSS; nClearType : integer):SSERROR; far;
{+}function SSEditCopy(hSS : tSS):SSERROR; far;
 function SSEditCopyDown(hSS : tSS):SSERROR; far;
 function SSEditCopyRight(hSS : tSS):SSERROR; far;
{+}function SSEditCut(hSS : tSS):SSERROR; far;
{+}function SSEditDelete(hSS : tSS; nShiftType : integer):SSERROR; far;
{+}function SSEditInsert(hSS : tSS; nShiftType : integer):SSERROR; far;
{+}function SSEditPaste(hSS : tSS):SSERROR; far;
 function SSEndEdit(hSS : tSS):SSERROR; far;
{ function SSErrorNumberToText( nError : SSERROR; pBuf : pChar; nBufSize : integer):SSERROR; far;
  external 'VTSSDLL';}
{+}function SSFilePageSetupDlg(hSS : tSS):SSERROR; far;
{+}function SSFilePrint(hSS : tSS; bShowPrintDlg : WordBool):SSERROR; far;
{+}function SSFilePrintSetupDlg(hSS : tSS):SSERROR; far;
 function SSFormatAlignmentDlg(hSS : tSS):SSERROR; far;
 function SSFormatBorderDlg(hSS : tSS):SSERROR; far;
 function SSFormatCurrency0(hSS : tSS):SSERROR; far;
 function SSFormatCurrency2(hSS : tSS):SSERROR; far;
{! function SSFormatDefaultFontDlg(hSS : tSS):SSERROR; far;}
 function SSFormatFixed(hSS : tSS):SSERROR; far;
 function SSFormatFixed2(hSS : tSS):SSERROR; far;
 function SSFormatFontDlg(hSS : tSS):SSERROR; far;
 function SSFormatFraction(hSS : tSS):SSERROR; far;
 function SSFormatGeneral(hSS : tSS):SSERROR; far;
 function SSFormatHmmampm(hSS : tSS):SSERROR; far;
 function SSFormatMdyy(hSS : tSS):SSERROR; far;
{+}function SSFormatNumberDlg(hSS : tSS):SSERROR; far;
 function SSFormatPatternDlg(hSS : tSS):SSERROR; far;
{+}function SSFormatPercent(hSS : tSS):SSERROR; far;
 function SSFormatRCNr(hSS : tSS; nRow : RC; nCol : RC; bDoAbsolute : WordBool; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSFormatScientific(hSS : tSS):SSERROR; far;
{! function SSEditPasteValues(hSS : tSS):SSERROR; far;}
{ function SSGetAlignment(hSS : tSS; var pHorizontal : integer; var pWordWrap : wordbool;
                        var pVertical : integer; var pOrientation : integer):SSERROR; far;}
{ function SSGetAppName(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;}
{ function SSGetBorder(hSS : tSS; var pLeft : integer; var pRight : integer; var pTop : integer;
                     var pBottom : integer; var pShade : integer; var pcrLeft : tColorRef;
                     var pcrRight : tColorRef; var pcrTop : tColorRef; var pcrBottom : tColorRef):SSERROR; far;}
{ function SSGetDoSetCursor(hSS : tSS; var pDoSetCursor : wordbool):SSERROR; far;}
{ function SSGetFont(hSS : tSS; pBuf : pChar; nBufSize : integer; var pSize : integer;
                   var pBold : wordbool; var pItalic : wordbool; var pUnderline : wordbool;
                   var pStrikeout : wordbool; var pcrColor : tColorRef; var pOutline : wordbool;
                   var pShadow : wordbool):SSERROR; far;}
{ function SSGetHdrHeight(hSS : tSS; var pHeight : integer):SSERROR; far;}
{ function SSGetHdrWidth(hSS : tSS; var pWidth : integer):SSERROR; far;}
{ function SSGetLineStyle(hSS : tSS; var pStyle : integer; var pcrColor : tColorRef; var pWeight : integer):SSERROR; far;}
{ function SSGetNumberFormat(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;}
{ function SSGetPattern(hSS : tSS; var pPattern : integer; var pcrFG : tColorRef; var pcrBG : tColorRef):SSERROR; far;}
{ function SSGetProtection(hSS : tSS; var pLocked : wordbool; var pHidden : wordbool):SSERROR; far;}
{ function SSGetTabbedText(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; bValuesOnly : WordBool;
                         var phText : tHandle):SSERROR; far;}
{ function SSGetTopLeftText(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;}
{ function SSSetTabbedText(hSS : tSS; nStartRow : RC; nStartCol : RC; var pRows : RC;
                         var pCols : RC; bValuesOnly : WordBool; pText : pChar):SSERROR; far;}
 function SSGetActiveCell(hSS : tSS; var pRow : RC; var pCol : RC):SSERROR; far;
 function SSGetAllowArrows(hSS : tSS; var pAllowArrows : wordbool):SSERROR; far;
 function SSGetAllowDelete(hSS : tSS; var pAllowDelete : wordbool):SSERROR; far;
 function SSGetAllowEditHeaders(hSS : tSS; var pAllowEditHeaders : wordbool):SSERROR; far;
 function SSGetAllowFillRange(hSS : tSS; var pAllowFillRange : wordbool):SSERROR; far;
 function SSGetAllowInCellEditing(hSS : tSS; var pAllowInCellEditing : wordbool):SSERROR; far;
 function SSGetAllowMoveRange(hSS : tSS; var pAllowMoveRange : wordbool):SSERROR; far;
{ function SSGetAllowObjSelections(hSS : tSS; var pAllowObjSelections : wordbool):SSERROR; far;}
 function SSGetAllowResize(hSS : tSS; var pAllowResize : wordbool):SSERROR; far;
 function SSGetAllowSelections(hSS : tSS; var pAllowSelections : wordbool):SSERROR; far;
 function SSGetAllowTabs(hSS : tSS; var pAllowTabs : wordbool):SSERROR; far;
 function SSGetAllowFormulas(hSS : tSS; var pAllowFormulas : wordbool):SSERROR; far;
 function SSGetAutoRecalc(hSS : tSS; var pAutoRecalc : wordbool):SSERROR; far;
 function SSGetBackColor(hSS : tSS; var pBackColor : tColorRef):SSERROR; far;
{ function SSGetColText(hSS : tSS; nCol : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;}
 function SSGetColWidth(hSS : tSS; nCol : RC; var pWidth : integer):SSERROR; far;
{ function SSGetDefaultFont(hSS : tSS; pBuf : pChar; nBufSize : integer; var pSize : integer):SSERROR; far;}
 function SSGetDefinedName(hSS : tSS; pName : pChar; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetEnableProtection(hSS : tSS; var pEnableProtection : wordbool):SSERROR; far;
 function SSGetEnterMovesDown(hSS : tSS; var pEnterMovesDown : wordbool):SSERROR; far;
 function SSGetEntry(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetEntryRC(hSS : tSS; nRow : RC; nCol : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetExtraColor(hSS : tSS; var pExtraColor : tColorRef):SSERROR; far;
 function SSGetFireEvent(hSS : tSS; UnEvent : integer; var pFireIt : wordbool):SSERROR; far;
 function SSGetFixedCols(hSS : tSS; var pC1 : RC; var pCols : RC):SSERROR; far;
 function SSGetFixedRows(hSS : tSS; var pR1 : RC; var pRows : RC):SSERROR; far;
 function SSGetFormattedText(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetFormattedTextRC(hSS : tSS; nRow : RC; nCol : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetFormula(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetFormulaRC(hSS : tSS; nRow : RC; nCol : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetHdrSelection(hSS : tSS; var pTopLeftHdr : wordbool; var pRowHdr : wordbool;
                            var pColHdr : wordbool):SSERROR; far;
 {+c01}function SSGetIteration(hSS : tSS; var pIteration : wordbool; var pMaxIterations : integer;
                         var pMaxChange : double):SSERROR; far;
 function SSGetLastCol(hSS : tSS; var pLastCol : RC):SSERROR; far;
 function SSGetLastColForRow(hSS : tSS; nRow : RC; var pLastColForRow : RC):SSERROR; far;
 function SSGetLastRow(hSS : tSS; var pLastRow : RC):SSERROR; far;
 function SSGetLeftCol(hSS : tSS; var pLeftCol : RC):SSERROR; far;
 function SSGetLogicalRC(hSS : tSS; nRow : RC; nCol : RC; var pIsTrue : wordbool):SSERROR; far;
 function SSGetMinCol(hSS : tSS; var pMinCol : RC):SSERROR; far;
 function SSGetMinRow(hSS : tSS; var pMinRow : RC):SSERROR; far;
 function SSGetMaxCol(hSS : tSS; var pMaxCol : RC):SSERROR; far;
 function SSGetMaxRow(hSS : tSS; var pMaxRow : RC):SSERROR; far;
{ function SSGetMode(hSS : tSS; var pMode : integer):SSERROR; far;}
 {+c01}function SSGetNumber(hSS : tSS; var pNumber : double):SSERROR; far;
 {+c01}function SSGetNumberRC(hSS : tSS; nRow : RC; nCol : RC; var pNumber : double):SSERROR; far;
{ function SSGetPolyEditMode(hSS : tSS; var pPolyEditMode : integer):SSERROR; far;}
 function SSGetPrintArea(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 {+c01}function SSGetPrintBottomMargin(hSS : tSS; var pPrintBottomMargin : double):SSERROR; far;
 function SSGetPrintColHeading(hSS : tSS; var pPrintColHeading : wordbool):SSERROR; far;
 function SSGetPrintFooter(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetPrintGridLines(hSS : tSS; var pPrintGridLines : wordbool):SSERROR; far;
 function SSGetPrintHCenter(hSS : tSS; var pPrintHCenter : wordbool):SSERROR; far;
 function SSGetPrintHeader(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
{ function SSGetPrintLandscape(hSS : tSS; var pLandscape : wordbool):SSERROR; far;}
 {+c01}function SSGetPrintLeftMargin(hSS : tSS; var pPrintLeftMargin : double):SSERROR; far;
 function SSGetPrintLeftToRight(hSS : tSS; var pPrintLeftToRight : wordbool):SSERROR; far;
 function SSGetPrintNoColor(hSS : tSS; var pNoColor : wordbool):SSERROR; far;
 {+c01}function SSGetPrintRightMargin(hSS : tSS; var pPrintRightMargin : double):SSERROR; far;
 function SSGetPrintRowHeading(hSS : tSS; var pPrintRowHeading : wordbool):SSERROR; far;
{ function SSGetPrintScale(hSS : tSS; var pScale : integer; var pFitToPage : wordbool;
                         var pVPages : integer; var pHPages : integer):SSERROR; far;}
 function SSGetPrintTitles(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetPrintTopMargin(hSS : tSS; var pPrintTopMargin : double):SSERROR; far;
 function SSGetPrintVCenter(hSS : tSS; var pPrintVCenter : wordbool):SSERROR; far;
 function SSGetRepaint(hSS : tSS; var pRepaint : wordbool):SSERROR; far;
 function SSGetRowHeight(hSS : tSS; nRow : RC; var pHeight : integer):SSERROR; far;
 function SSGetRowMode(hSS : tSS; var pRowMode : wordbool):SSERROR; far;
{ function SSGetRowText(hSS : tSS; nRow : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;}
{ function SSGetScale(hSS : tSS; var pScale : integer):SSERROR; far;}
 function SSGetSelection(hSS : tSS; nSelection : integer; var pR1 : RC; var pC1 : RC; var pR2 : RC; var pC2 : RC):SSERROR; far;
 function SSGetSelectionCount(hSS : tSS; var pCount : integer):SSERROR; far;
 function SSGetSelectionRef(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetShowColHeading(hSS : tSS; var pShowColHeading : wordbool):SSERROR; far;
 function SSGetShowFormulas(hSS : tSS; var pShowFormulas : wordbool):SSERROR; far;
 function SSGetShowGridLines(hSS : tSS; var pShowGridLines : wordbool):SSERROR; far;
 function SSGetShowHScrollBar(hSS : tSS; var pShowHScrollBar : integer):SSERROR; far;
 function SSGetShowRowHeading(hSS : tSS; var pShowRowHeading : wordbool):SSERROR; far;
 function SSGetShowSelections(hSS : tSS; var pShowSelections : integer):SSERROR; far;
 function SSGetShowVScrollBar(hSS : tSS; var pShowVScrollBar : integer):SSERROR; far;
 function SSGetShowZeroValues(hSS : tSS; var pShowZeroValues : wordbool):SSERROR; far;
 function SSGetSSEdit(hSS : tSS; var pSSEDIT : tSSEdit):SSERROR; far;
 function SSGetText(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetTextRC(hSS : tSS; nRow : RC; nCol : RC; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetTitle(hSS : tSS; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSGetTopRow(hSS : tSS; var pTopRow : RC):SSERROR; far;
 function SSGetTypeRC(hSS : tSS; nRow : RC; nCol : RC; var pType : integer):SSERROR; far;
 function SSGotoDlg(hSS : tSS):SSERROR; far;
{ procedure SSHeapMin;}
 function SSInitTable(hSS : tSS):SSERROR; far;
 function SSInsertRange(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; nShiftType : integer):SSERROR; far;
 function SSLaunchAppDesigner(hSS : tSS):SSERROR; far;
{ function SSLineStyleDlg(hSS : tSS):SSERROR; far;}
 function SSMaxCol : RC;
 function SSMaxRow : RC;
 function SSMoveRange(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; nRowOffset : RC; nColOffset : RC):SSERROR; far;
 function SSNew(hWindow : hWnd; var pSS : tSS):SSERROR; far;
 function SSNextColPageBreak(hSS : tSS; nCol : RC; var pNextCol : RC):SSERROR; far;
 function SSNextRowPageBreak(hSS : tSS; nRow : RC; var pNextRow : RC):SSERROR; far;
{ function SSObjAddItem(hSS : tSS; ID : OBJID; pItem : pChar):SSERROR; far;
 function SSObjAddSelection(hSS : tSS; ID : OBJID):SSERROR; far;
 function SSObjBringToFront(hSS : tSS):SSERROR; far;
 function SSObjDeleteItem(hSS : tSS; ID : OBJID; nItem : integer):SSERROR; far;
 function SSObjFirstID(hSS : tSS; var pFirstID : OBJID):SSERROR; far;
 function SSObjGetCell(hSS : tSS; ID : OBJID; var pHasCell : wordbool; var pRow : RC; var pCol : RC):SSERROR; far;
 function SSObjGetItem(hSS : tSS; ID : OBJID; nItem : integer; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSObjGetItemCount(hSS : tSS; ID : OBJID; var pItems : integer):SSERROR; far;
 function SSObjGetItems(hSS : tSS; ID : OBJID; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSObjGetName(hSS : tSS; ID : OBJID; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSObjGetPos(hSS : tSS; ID : OBJID; var pX1 : OBJPOS; var pY1 : OBJPOS;
                      var pX2 : OBJPOS; var pY2 : OBJPOS):SSERROR; far;
 function SSObjGetSelection(hSS : tSS; nSelection : integer; var pID : OBJID):SSERROR; far;
 function SSObjGetSelectionCount(hSS : tSS; var pCount : integer):SSERROR; far;
 function SSObjGetText(hSS : tSS; ID : OBJID; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSObjGetType(hSS : tSS; ID : OBJID; var pType : integer):SSERROR; far;
 function SSObjGetValue(hSS : tSS; ID : OBJID; var pValue : integer):SSERROR; far;
 function SSObjGetVisible(hSS : tSS; ID : OBJID; var pVisible : wordbool):SSERROR; far;
 function SSObjInsertItem(hSS : tSS; ID : OBJID; nItem : integer; pItem : pChar):SSERROR; far;
 function SSObjNameDlg(hSS : tSS):SSERROR; far;
 function SSObjNameToID(hSS : tSS; pName : pChar; var pID : OBJID):SSERROR; far;
 function SSObjNew(hSS : tSS; nType : integer; nX1 : OBJPOS; nY1 : OBJPOS; nX2 : OBJPOS;
                  nY2 : OBJPOS; var pID : OBJID):SSERROR; far;
 function SSObjNewPicture(hSS : tSS; nX1 : OBJPOS; nY1 : OBJPOS; nX2 : OBJPOS; nY2 : OBJPOS;
                         var pID : OBJID; hMF : hMetaFile; nMapMode : integer; nWndExtentX : integer;
                         nWndExtentY : integer):SSERROR; far;
 function SSObjNewPolygon(hSS : tSS; nX1 : OBJPOS; nY1 : OBJPOS; nX2 : OBJPOS; nY2 : OBJPOS;
                         var pID : OBJID; LPPOpPoints : integer; nPoints : integer; bClosed : WordBool):SSERROR; far;
 function SSObjNextID(hSS : tSS; ID : OBJID; var pNextID : OBJID):SSERROR; far;
 function SSObjOptionsDlg(hSS : tSS):SSERROR; far;
 function SSObjPosToTwips(hSS : tSS; nX1 : OBJPOS; nY1 : OBJPOS; nX2 : OBJPOS; nY2 : OBJPOS;
                         var pX : longint; var pY : longint; var pCX : longint; var pCY : longint;
                         var pShown : integer):SSERROR; far;
 function SSObjSendToBack(hSS : tSS):SSERROR; far;
 function SSObjSetCell(hSS : tSS; ID : OBJID; bHasCell : WordBool; nRow : RC; nCol : RC):SSERROR; far;
 function SSObjSetItem(hSS : tSS; ID : OBJID; nItem : integer; pItem : pChar):SSERROR; far;
 function SSObjSetItems(hSS : tSS; ID : OBJID; pItems : pChar):SSERROR; far;
 function SSObjSetName(hSS : tSS; ID : OBJID; pName : pChar):SSERROR; far;
 function SSObjSetPicture(hSS : tSS; ID : OBJID; hMF : hMetaFile; nMapMode : integer;
                         nWndExtentX : integer; nWndExtentY : integer):SSERROR; far;
 function SSObjSetPolygonPoints(hSS : tSS; ID : OBJID; LPPOpPoints : integer; nPoints : integer;
                                bClosed : WordBool):SSERROR; far;
 function SSObjSetPos(hSS : tSS; ID : OBJID; nX1 : OBJPOS; nY1 : OBJPOS; nX2 : OBJPOS; nY2 : OBJPOS):SSERROR; far;
 function SSObjSetSelection(hSS : tSS; ID : OBJID):SSERROR; far;
 function SSObjSetText(hSS : tSS; ID : OBJID; pText : pChar):SSERROR; far;
 function SSObjSetValue(hSS : tSS; ID : OBJID; nValue : integer):SSERROR; far;
 function SSObjSetVisible(hSS : tSS; ID : OBJID; bVisible : WordBool):SSERROR; far; }
{+}function SSOpenFileDlg(pTitle : pChar; hWndParent : hWnd; pBuf : pChar; nBufSize : integer):SSERROR; far;
 function SSProtectionDlg(hSS : tSS):SSERROR; far;
 function SSRangeToTwips(hSS : tSS; nRow1 : RC; nCol1 : RC; nRow2 : RC; nCol2 : RC;
                        var pX : longint; var pY : longint; var pCX : longint;
                        var pCY : longint; var pShown : integer):SSERROR; far;
{+}function SSRead(hSS : tSS; pPathName : pChar; var pFileType : integer):SSERROR; far;
 function SSReadIO(hSS : tSS; dwUserData : longint; IOFUNC: longint; pUserRet: longint):SSERROR; far;
 function SSRecalc(hSS : tSS):SSERROR; far;
 function SSRemoveColPageBreak(hSS : tSS; nCol : RC):SSERROR; far;
 function SSRemovePageBreak(hSS : tSS):SSERROR; far;
 function SSRemoveRowPageBreak(hSS : tSS; nRow : RC):SSERROR; far;
 function SSRowHeightDlg(hSS : tSS):SSERROR; far;
 function SSSaveFileDlg(hSS : tSS; pTitle : pChar; pBuf : pChar; nBufSize : integer; var pFileType : integer):SSERROR; far;
 function SSSaveWindowInfo(hSS : tSS):SSERROR; far;
 function SSSetActiveCell(hSS : tSS; nRow : RC; nCol : RC):SSERROR; far;
 function SSSetAlignment(hSS : tSS; nHorizontal : integer; bWordWrap : WordBool; nVertical : integer;
                        nOrientation : integer):SSERROR; far;
 function SSSetAllowArrows(hSS : tSS; bAllowArrows : WordBool):SSERROR; far;
 function SSSetAllowDelete(hSS : tSS; bAllowDelete : WordBool):SSERROR; far;
 function SSSetAllowEditHeaders(hSS : tSS; bAllowEditHeaders : WordBool):SSERROR; far;
 function SSSetAllowFillRange(hSS : tSS; bAllowFillRange : WordBool):SSERROR; far;
 function SSSetAllowInCellEditing(hSS : tSS; bAllowInCellEditing : WordBool):SSERROR; far;
 function SSSetAllowMoveRange(hSS : tSS; bAllowMoveRange : WordBool):SSERROR; far;
{ function SSSetAllowObjSelections(hSS : tSS; bAllowObjSelections : WordBool):SSERROR; far;}
 function SSSetAllowResize(hSS : tSS; bAllowResize : WordBool):SSERROR; far;
 function SSSetAllowSelections(hSS : tSS; bAllowSelections : WordBool):SSERROR; far;
 function SSSetAllowTabs(hSS : tSS; bAllowTabs : WordBool):SSERROR; far;
 function SSSetAllowFormulas(hSS : tSS; bAllowFormulas : WordBool):SSERROR; far;
 function SSSetAppName(hSS : tSS; pAppName : pChar):SSERROR; far;
 function SSSetAutoRecalc(hSS : tSS; bAutoRecalc : WordBool):SSERROR; far;
 function SSSetBackColor(hSS : tSS; crBackColor : tColorRef):SSERROR; far;
 function SSSetBorder(hSS : tSS; nOutline : integer; nLeft : integer; nRight : integer;
                     nTop : integer; nBottom : integer; nShade : integer; crOutline : tColorRef;
                     crLeft : tColorRef; crRight : tColorRef; crTop : tColorRef; crBottom : tColorRef):SSERROR; far;
{+}function SSSetColText(hSS : tSS; nCol : RC; pColText : pChar):SSERROR; far;
{+}function SSSetColWidth(hSS : tSS; nC1 : RC; nC2 : RC; nWidth : integer; bDefColWidth : WordBool):SSERROR; far;
 function SSSetColWidthAuto(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; bSetDefaults : WordBool):SSERROR; far;
{ function SSSetDefaultFont(hSS : tSS; pName : pChar; nSize : integer):SSERROR; far;}
 function SSSetDefinedName(hSS : tSS; pName : pChar; pFormula : pChar):SSERROR; far;
 {function SSSetDefWindowProc(hSS : tSS; pWindowProc : WNDPROC):SSERROR; far;}
 function SSSetDoSetCursor(hSS : tSS; bDoSetCursor : WordBool):SSERROR; far;
 function SSSetEnableProtection(hSS : tSS; bEnableProtection : WordBool):SSERROR; far;
 function SSSetEnterMovesDown(hSS : tSS; bEnterMovesDown : WordBool):SSERROR; far;
 function SSSetEntry(hSS : tSS; pEntry : pChar):SSERROR; far;
 function SSSetEntryRC(hSS : tSS; nRow : RC; nCol : RC; pEntry : pChar):SSERROR; far;
 function SSSetExtraColor(hSS : tSS; crExtraColor : tColorRef):SSERROR; far;
 function SSSetFireEvent(hSS : tSS; UnEvent : integer; bFireIt : WordBool):SSERROR; far;
 function SSSetFixedCols(hSS : tSS; nC1 : RC; nCols : RC):SSERROR; far;
 function SSSetFixedRows(hSS : tSS; nR1 : RC; nRows : RC):SSERROR; far;
 function SSSetFont(hSS : tSS; pName : pChar; nSize : integer; bBold : WordBool; bItalic : WordBool;
                   bUnderline : WordBool; bStrikeout : WordBool; crColor : tColorRef;
                   bOutline : WordBool; bShadow : WordBool):SSERROR; far;
 function SSSetFormula(hSS : tSS; pFormula : pChar):SSERROR; far;
 function SSSetFormulaRC(hSS : tSS; nRow : RC; nCol : RC; pFormula : pChar):SSERROR; far;
 function SSSetHdrHeight(hSS : tSS; nHeight : integer):SSERROR; far;
 function SSSetHdrSelection(hSS : tSS; bTopLeftHdr : WordBool; bRowHdr : WordBool; bColHdr : WordBool):SSERROR; far;
 function SSSetHdrWidth(hSS : tSS; nWidth : integer):SSERROR; far;
 {+c01}function SSSetIteration(hSS : tSS; bIteration : WordBool; nMaxIterations : integer; nMaxChange : double):SSERROR; far;
 function SSSetLeftCol(hSS : tSS; nLeftCol : RC):SSERROR; far;
{ function SSSetLineStyle(hSS : tSS; nStyle : integer; crColor : tColorRef; nWeight : integer):SSERROR; far;}
 function SSSetLogicalRC(hSS : tSS; nRow : RC; nCol : RC; bIsTrue : WordBool):SSERROR; far;
 function SSSetMinCol(hSS : tSS; nMinCol : RC):SSERROR; far;
 function SSSetMinRow(hSS : tSS; nMinRow : RC):SSERROR; far;
 function SSSetMaxCol(hSS : tSS; nMaxCol : RC):SSERROR; far;
 function SSSetMaxRow(hSS : tSS; nMaxRow : RC):SSERROR; far;
{ function SSSetMode(hSS : tSS; nMode : integer):SSERROR; far;}
 {+c01}function SSSetNumber(hSS : tSS; nNumber : double):SSERROR; far;
 function SSSetNumberFormat(hSS : tSS; pNumberFormat : pChar):SSERROR; far;
 {+c01}function SSSetNumberRC(hSS : tSS; nRow : RC; nCol : RC; nNumber : double):SSERROR; far;
 function SSSetPattern(hSS : tSS; nPattern : integer; crFG : tColorRef; crBG : tColorRef):SSERROR; far;
{ function SSSetPolyEditMode(hSS : tSS; nPolyEditMode : integer):SSERROR; far;}
 function SSSetPrintArea(hSS : tSS; pFormula : pChar):SSERROR; far;
 function SSSetPrintAreaFromSelection(hSS : tSS):SSERROR; far;
 {+c01}function SSSetPrintBottomMargin(hSS : tSS; nMargin : double):SSERROR; far;
 function SSSetPrintColHeading(hSS : tSS; bColHeading : WordBool):SSERROR; far;
 function SSSetPrintFooter(hSS : tSS; pPrintFooter : pChar):SSERROR; far;
 function SSSetPrintGridLines(hSS : tSS; bGridLines : WordBool):SSERROR; far;
 function SSSetPrintHCenter(hSS : tSS; bHCenter : WordBool):SSERROR; far;
 function SSSetPrintHeader(hSS : tSS; pPrintHeader : pChar):SSERROR; far;
{ function SSSetPrintLandscape(hSS : tSS; bLandscape : WordBool):SSERROR; far; }
 {+c01}function SSSetPrintLeftMargin(hSS : tSS; nMargin : double):SSERROR; far;
 function SSSetPrintLeftToRight(hSS : tSS; bLeftToRight : WordBool):SSERROR; far;
 function SSSetPrintNoColor(hSS : tSS; bNoColor : WordBool):SSERROR; far;
 {+c01}function SSSetPrintRightMargin(hSS : tSS; nMargin : longint):SSERROR; far;
 function SSSetPrintRowHeading(hSS : tSS; bRowHeading : WordBool):SSERROR; far;
{ function SSSetPrintScale(hSS : tSS; nScale : integer; bFitToPage : WordBool; nVPages : integer;
                          nHPages : integer):SSERROR; far;}
 function SSSetPrintTitles(hSS : tSS; pFormula : pChar):SSERROR; far;
 function SSSetPrintTitlesFromSelection(hSS : tSS):SSERROR; far;
 {+c01}function SSSetPrintTopMargin(hSS : tSS; nMargin : longint):SSERROR; far;
 function SSSetPrintVCenter(hSS : tSS; bVCenter : WordBool):SSERROR; far;
 function SSSetProtection(hSS : tSS; bLocked : WordBool; bHidden : WordBool):SSERROR; far;
 function SSSetRepaint(hSS : tSS; bRepaint : WordBool):SSERROR; far;
 function SSSetRowHeight(hSS : tSS; nR1 : RC; nR2 : RC; nHeight : integer; bDefRowHeight : WordBool):SSERROR; far;
 function SSSetRowHeightAuto(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; bSetDefaults : WordBool):SSERROR; far;
 function SSSetRowMode(hSS : tSS; bRowMode : WordBool):SSERROR; far;
 function SSSetRowText(hSS : tSS; nRow : RC; pRowText : pChar):SSERROR; far;
{ function SSSetScale(hSS : tSS; nScale : integer):SSERROR; far;}
 function SSSetSelection(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC):SSERROR; far;
 function SSSetSelectionRef(hSS : tSS; pFormula : pChar):SSERROR; far;
 function SSSetShowColHeading(hSS : tSS; bColHeading : WordBool):SSERROR; far;
 function SSSetShowFormulas(hSS : tSS; bFormulas : WordBool):SSERROR; far;
 function SSSetShowGridLines(hSS : tSS; bGridLines : WordBool):SSERROR; far;
 function SSSetShowHScrollBar(hSS : tSS; nShowHScrollBar : integer):SSERROR; far;
 function SSSetShowRowHeading(hSS : tSS; bRowHeading : WordBool):SSERROR; far;
 function SSSetShowSelections(hSS : tSS; nSelections : integer):SSERROR; far;
 function SSSetShowVScrollBar(hSS : tSS; nShowVScrollBar : integer):SSERROR; far;
 function SSSetShowZeroValues(hSS : tSS; bZeroValues : WordBool):SSERROR; far;
 function SSSetSSEdit(hSS : tSS; hSSEdit : tSSEDIT):SSERROR; far;
{+}function SSSetText(hSS : tSS; pText : pChar):SSERROR; far;
{+}function SSSetTextRC(hSS : tSS; nRow : RC; nCol : RC; pText : pChar):SSERROR; far;
{+}function SSSetTitle(hSS : tSS; pTitle : pChar):SSERROR; far;
 function SSSetTopLeftText(hSS : tSS; pTopLeftText : pChar):SSERROR; far;
 function SSSetTopRow(hSS : tSS; nTopRow : RC):SSERROR; far;
 function SSShowActiveCell(hSS : tSS):SSERROR; far;
 function SSSort(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; bSortByRows : WordBool;
                var pKeys : integer; nKeys : integer):SSERROR; far;
 function SSSort3(hSS : tSS; nR1 : RC; nC1 : RC; nR2 : RC; nC2 : RC; bSortByRows : WordBool;
                 nKey1 : integer; nKey2 : integer; nKey3 : integer):SSERROR; far;
{+}function SSSortDlg(hSS : tSS):SSERROR; far;
 function SSStartEdit(hSS : tSS; bClear : WordBool; bInCellEditFocus : WordBool; bArrowsExitEditMode : WordBool):SSERROR; far;
 function SSSwapTables(hSS1 : tSS; hSS2 : tSS):SSERROR; far;
 function SSTransactCommit(hSS : tSS):SSERROR; far;
 function SSTransactRollback(hSS : tSS):SSERROR; far;
 function SSTransactStart(hSS : tSS):SSERROR; far;
 function SSTwipsToRC(hSS : tSS; x : longint; y : longint; var pRow : RC; var pCol : RC):SSERROR; far;
 procedure SSUpdate;
 function SSVersion : word;
 function SSWrite(hSS : tSS; pPathName : pChar; nFileType : integer):SSERROR; far;
 function SSWriteIO(hSS : tSS; dwUserData : longint; pUserRet: longint):SSERROR; far;

implementation

function SSAddColPageBreak ;external 'VTSSDLL' index 1;
function SSAddPageBreak;external 'VTSSDLL' index 2;
function SSAddRowPageBreak;external 'VTSSDLL' index 3;
function SSAddSelection;external 'VTSSDLL' index 4;
function SSAttach;external 'VTSSDLL' index 5;
function SSAttachToSS;external 'VTSSDLL' index 6;
function SSCalculationDlg;external 'VTSSDLL' index 7;
function SSCallWindowProc;external 'VTSSDLL' index 8;
function SSCancelEdit;external 'VTSSDLL'  index 9;
function SSCanEditPaste;external 'VTSSDLL' index 10;
function SSCheckModified;external 'VTSSDLL' index 11;
function SSCheckRecalc;external 'VTSSDLL'  index 12;
function SSClearClipboard:SSERROR;external 'VTSSDLL' index 13;
function SSClearRange;external 'VTSSDLL' index 14;
function SSColorPaletteDlg;external 'VTSSDLL' index 15;
function SSColWidthDlg;external 'VTSSDLL' index 16;
function SSCopyAll;external 'VTSSDLL' index 17;
function SSCopyRange;external 'VTSSDLL' index 18;
function SSDefinedNameDlg;external 'VTSSDLL' index 19;
function SSDelete;external 'VTSSDLL' index 20;
function SSDeleteDefinedName;external 'VTSSDLL' index 21;
function SSDeleteRange;external 'VTSSDLL' index 22;
function SSDeleteTable;external 'VTSSDLL' index 23;
{function SSDraw;external 'VTSSDLL';}
function SSEditBarDelete;external 'VTSSDLL' index 24;
function SSEditBarHeight : integer;external 'VTSSDLL' index 25;
function SSEditBarMove;external 'VTSSDLL' index 26;
function SSEditBarNew;external 'VTSSDLL' index 27;
function SSEditClear;external 'VTSSDLL' index 28;
function SSEditCopy;external 'VTSSDLL' index 29;
function SSEditCopyDown;external 'VTSSDLL' index 30;
function SSEditCopyRight;external 'VTSSDLL' index 31;
function SSEditCut;external 'VTSSDLL' index 32;
function SSEditDelete;external 'VTSSDLL' index 33;
function SSEditInsert;external 'VTSSDLL' index 34;
function SSEditPaste;external 'VTSSDLL' index 35;
{function SSEditPasteValues;external 'VTSSDLL';}
function SSEndEdit;external 'VTSSDLL' index 240;
function SSFilePageSetupDlg;external 'VTSSDLL' index 37;
function SSFilePrint;external 'VTSSDLL' index 38;
function SSFilePrintSetupDlg;external 'VTSSDLL' index 39;
function SSFormatAlignmentDlg;external 'VTSSDLL' index 40;
function SSFormatBorderDlg;external 'VTSSDLL' index 41;
function SSFormatCurrency0;external 'VTSSDLL' index 42;
function SSFormatCurrency2;external 'VTSSDLL' index 43;
{function SSFormatDefaultFontDlg;external 'VTSSDLL';}
function SSFormatFixed;external 'VTSSDLL' index 44;
function SSFormatFixed2;external 'VTSSDLL' index 248;
function SSFormatFontDlg;external 'VTSSDLL' index 45;
function SSFormatFraction;external 'VTSSDLL' index 46;
function SSFormatGeneral;external 'VTSSDLL' index 47;
function SSFormatHmmampm;external 'VTSSDLL' index 48;
function SSFormatMdyy;external 'VTSSDLL' index 49;
function SSFormatNumberDlg;external 'VTSSDLL' index 50;
function SSFormatPatternDlg;external 'VTSSDLL' index 51;
function SSFormatPercent;external 'VTSSDLL' index 52;
function SSFormatRCNr;external 'VTSSDLL' index 53;
function SSFormatScientific;external 'VTSSDLL' index 54;
function SSGetActiveCell;external 'VTSSDLL' index 55;
{function SSGetAlignment;external 'VTSSDLL' ;}
function SSGetAllowArrows;external 'VTSSDLL' index 56;
function SSGetAllowDelete;external 'VTSSDLL' index 57;
function SSGetAllowEditHeaders;external 'VTSSDLL' index 249;
function SSGetAllowFillRange;external 'VTSSDLL' index 58;
function SSGetAllowFormulas;external 'VTSSDLL' index 64;
function SSGetAllowInCellEditing;external 'VTSSDLL' index 59;
function SSGetAllowMoveRange;external 'VTSSDLL' index 60;
{function SSGetAllowObjSelections;external 'VTSSDLL';}
function SSGetAllowResize;external 'VTSSDLL' index 61;
function SSGetAllowSelections;external 'VTSSDLL' index 62;
function SSGetAllowTabs;external 'VTSSDLL' index 63;
{function SSGetAppName;external 'VTSSDLL' ;}
function SSGetAutoRecalc;external 'VTSSDLL' index 65;
function SSGetBackColor;external 'VTSSDLL' index 66;
{function SSGetBorder;external 'VTSSDLL';}
{function SSGetColText;external 'VTSSDLL';}
function SSGetColWidth;external 'VTSSDLL' index 67;
{function SSGetDefaultFont;external 'VTSSDLL';}
function SSGetDefinedName;external 'VTSSDLL' index 68;
{function SSGetDoSetCursor;external 'VTSSDLL';}
function SSGetEnableProtection;external 'VTSSDLL' index 69;
function SSGetEnterMovesDown;external 'VTSSDLL' index 256;
function SSGetEntry;external 'VTSSDLL' index 70;
function SSGetEntryRC;external 'VTSSDLL' index 71;
function SSGetExtraColor;external 'VTSSDLL' index 72;
function SSGetFireEvent;external 'VTSSDLL' index 73;
function SSGetFixedCols;external 'VTSSDLL' index 74;
function SSGetFixedRows;external 'VTSSDLL' index 75;
{function SSGetFont;external 'VTSSDLL';}
function SSGetFormattedText;external 'VTSSDLL' index 76;
function SSGetFormattedTextRC;external 'VTSSDLL' index 77;
function SSGetFormula;external 'VTSSDLL' index 78;
function SSGetFormulaRC;external 'VTSSDLL' index 79;
{function SSGetHdrHeight;external 'VTSSDLL' ;}
function SSGetHdrSelection;external 'VTSSDLL' index 80;
{function SSGetHdrWidth;external 'VTSSDLL';}
function SSGetIteration;external 'VTSSDLL' index 81;
function SSGetLastCol;external 'VTSSDLL' index 82;
function SSGetLastColForRow;external 'VTSSDLL' index 83;
function SSGetLastRow;external 'VTSSDLL' index 84;
function SSGetLeftCol;external 'VTSSDLL' index 85;
{function SSGetLineStyle;external 'VTSSDLL' ;}
function SSGetLogicalRC;external 'VTSSDLL' index 86;
function SSGetMaxCol;external 'VTSSDLL' index 87;
function SSGetMaxRow;external 'VTSSDLL' index 88;
function SSGetMinCol;external 'VTSSDLL' index 241;
function SSGetMinRow;external 'VTSSDLL' index 242;
{function SSGetMode;external 'VTSSDLL';}
function SSGetNumber;external 'VTSSDLL' index 89;
{function SSGetNumberFormat;external 'VTSSDLL';}
function SSGetNumberRC;external 'VTSSDLL' index 90;
{function SSGetPattern;external 'VTSSDLL';}
{function SSGetPolyEditMode;external 'VTSSDLL';}
function SSGetPrintArea;external 'VTSSDLL' index 91;
function SSGetPrintBottomMargin;external 'VTSSDLL' index 92;
function SSGetPrintColHeading;external 'VTSSDLL' index 93;
function SSGetPrintFooter;external 'VTSSDLL' index 94;
function SSGetPrintGridLines;external 'VTSSDLL' index 95;
function SSGetPrintHCenter;external 'VTSSDLL' index 96;
function SSGetPrintHeader;external 'VTSSDLL' index 97;
{function SSGetPrintLandscape;external 'VTSSDLL';}
function SSGetPrintLeftMargin;external 'VTSSDLL'  index 98;
function SSGetPrintLeftToRight;external 'VTSSDLL' index 99;
function SSGetPrintNoColor;external 'VTSSDLL' index 100;
function SSGetPrintRightMargin;external 'VTSSDLL' index 101;
function SSGetPrintRowHeading;external 'VTSSDLL'    index 102;
{function SSGetPrintScale;external 'VTSSDLL';}
function SSGetPrintTitles;external 'VTSSDLL' index 103;
function SSGetPrintTopMargin;external 'VTSSDLL' index 104;
function SSGetPrintVCenter;external 'VTSSDLL' index 105;
{function SSGetProtection;external 'VTSSDLL';}
function SSGetRepaint;external 'VTSSDLL' index 106;
function SSGetRowHeight;external 'VTSSDLL' index 107;
function SSGetRowMode;external 'VTSSDLL' index 108;
{function SSGetRowText;external 'VTSSDLL';}
{function SSGetScale;external 'VTSSDLL';}
function SSGetSelection;external 'VTSSDLL' index 109;
function SSGetSelectionCount;external 'VTSSDLL' index 110;
function SSGetSelectionRef;external 'VTSSDLL' index 111;
function SSGetShowColHeading;external 'VTSSDLL' index 112;
function SSGetShowFormulas;external 'VTSSDLL' index 113;
function SSGetShowGridLines;external 'VTSSDLL' index 114;
function SSGetShowHScrollBar;external 'VTSSDLL' index 115;
function SSGetShowRowHeading;external 'VTSSDLL' index 116;
function SSGetShowSelections;external 'VTSSDLL' index 117;
function SSGetShowVScrollBar;external 'VTSSDLL' index 118;
function SSGetShowZeroValues;external 'VTSSDLL' index 119;
function SSGetSSEdit;external 'VTSSDLL' index 120;
{function SSGetTabbedText;external 'VTSSDLL';}
function SSGetText;external 'VTSSDLL' index 121;
function SSGetTextRC;external 'VTSSDLL' index 122;
function SSGetTitle;external 'VTSSDLL' index 123;
{function SSGetTopLeftText;external 'VTSSDLL';}
function SSGetTopRow;external 'VTSSDLL' index 124;
function SSGetTypeRC;external 'VTSSDLL' index 125;
function SSGotoDlg;external 'VTSSDLL' index 126;
function SSInitTable;external 'VTSSDLL' index 127;
function SSInsertRange;external 'VTSSDLL' index 128;
function SSLaunchAppDesigner;external 'VTSSDLL' index 251;
{function SSLineStyleDlg;external 'VTSSDLL';}
function SSMaxCol : RC;external 'VTSSDLL' index 129;
function SSMaxRow : RC;external 'VTSSDLL' index 130;
function SSMoveRange;external 'VTSSDLL' index 131;
function SSNew;external 'VTSSDLL' index 132;
function SSNextColPageBreak;external 'VTSSDLL' index 133;
function SSNextRowPageBreak;external 'VTSSDLL' index 134;
{function SSObjAddItem;external 'VTSSDLL';}
{function SSObjAddSelection;external 'VTSSDLL';}
{function SSObjBringToFront;external 'VTSSDLL';}
{function SSObjDeleteItem;external 'VTSSDLL';}
{function SSObjFirstID;external 'VTSSDLL';}
{function SSObjGetCell;external 'VTSSDLL';}
{function SSObjGetItem;external 'VTSSDLL';}
{function SSObjGetItemCount;external 'VTSSDLL';}
{function SSObjGetItems;external 'VTSSDLL';}
{function SSObjGetName;external 'VTSSDLL';}
{function SSObjGetPos;external 'VTSSDLL';}
{function SSObjGetSelection;external 'VTSSDLL';}
{function SSObjGetSelectionCount;external 'VTSSDLL';}
{function SSObjGetText;external 'VTSSDLL';}
{function SSObjGetType;external 'VTSSDLL';}
{function SSObjGetValue;external 'VTSSDLL';}
{function SSObjGetVisible;external 'VTSSDLL';}
{function SSObjInsertItem;external 'VTSSDLL';}
{function SSObjNameDlg;external 'VTSSDLL';}
{function SSObjNameToID;external 'VTSSDLL';}
{function SSObjNew;external 'VTSSDLL';}
{function SSObjNewPicture;external 'VTSSDLL';}
{function SSObjNewPolygon;external 'VTSSDLL';}
{function SSObjNextID;external 'VTSSDLL';}
{function SSObjOptionsDlg;external 'VTSSDLL';}
{function SSObjPosToTwips;external 'VTSSDLL';}
{function SSObjSendToBack;external 'VTSSDLL';}
{function SSObjSetCell;external 'VTSSDLL';}
{function SSObjSetItem;external 'VTSSDLL';}
{function SSObjSetItems;external 'VTSSDLL';}
{function SSObjSetName;external 'VTSSDLL';}
{function SSObjSetPicture;external 'VTSSDLL';}
{function SSObjSetPolygonPoints;external 'VTSSDLL';}
{function SSObjSetPos;external 'VTSSDLL';}
{function SSObjSetSelection;external 'VTSSDLL';}
{function SSObjSetText;external 'VTSSDLL';}
{function SSObjSetValue;external 'VTSSDLL';}
{function SSObjSetVisible;external 'VTSSDLL';}
function SSOpenFileDlg;external 'VTSSDLL' index 135;
function SSProtectionDlg;external 'VTSSDLL' index 136;
function SSRangeToTwips;external 'VTSSDLL' index 247;
function SSRead;external 'VTSSDLL' index 137;
function SSReadIO;external 'VTSSDLL' index 138;
function SSRecalc;external 'VTSSDLL' index 139;
function SSRemoveColPageBreak;external 'VTSSDLL' index 140;
function SSRemovePageBreak;external 'VTSSDLL' index 141;
function SSRemoveRowPageBreak;external 'VTSSDLL' index 142;
function SSRowHeightDlg;external 'VTSSDLL' index 143;
function SSSaveFileDlg;external 'VTSSDLL' index 144;
function SSSaveWindowInfo;external 'VTSSDLL' index 145;
function SSSetActiveCell;external 'VTSSDLL' index 146;
function SSSetAlignment;external 'VTSSDLL' index 147;
function SSSetAllowArrows;external 'VTSSDLL' index 148;
function SSSetAllowDelete;external 'VTSSDLL' index 149;
function SSSetAllowEditHeaders;external 'VTSSDLL' index 250;
function SSSetAllowFillRange;external 'VTSSDLL' index 150;
function SSSetAllowFormulas;external 'VTSSDLL' index 156;
function SSSetAllowInCellEditing;external 'VTSSDLL' index 151;
function SSSetAllowMoveRange;external 'VTSSDLL' index 152;
{function SSSetAllowObjSelections;external 'VTSSDLL';}
function SSSetAllowResize;external 'VTSSDLL' index 153;
function SSSetAllowSelections;external 'VTSSDLL' index 154;
function SSSetAllowTabs;external 'VTSSDLL' index 155;
function SSSetAppName;external 'VTSSDLL' index 245;
function SSSetAutoRecalc;external 'VTSSDLL' index 157;
function SSSetBackColor;external 'VTSSDLL' index 158;
function SSSetBorder;external 'VTSSDLL' index 159;
function SSSetColText;external 'VTSSDLL' index 160;
function SSSetColWidth;external 'VTSSDLL' index 161;
function SSSetColWidthAuto;external 'VTSSDLL' index 162;
{function SSSetDefaultFont;external 'VTSSDLL';}
function SSSetDefinedName;external 'VTSSDLL' index 163;
function SSSetDoSetCursor;external 'VTSSDLL' index 165;
function SSSetEnableProtection;external 'VTSSDLL' index 166;
function SSSetEnterMovesDown;external 'VTSSDLL' index 254;
function SSSetEntry;external 'VTSSDLL' index 167;
function SSSetEntryRC;external 'VTSSDLL' index 168;
function SSSetExtraColor;external 'VTSSDLL' index 169;
function SSSetFireEvent;external 'VTSSDLL' index 170;
function SSSetFixedCols;external 'VTSSDLL' index 171;
function SSSetFixedRows;external 'VTSSDLL' index 172;
function SSSetFont;external 'VTSSDLL' index 173;
function SSSetFormula;external 'VTSSDLL' index 174;
function SSSetFormulaRC;external 'VTSSDLL' index 175;
function SSSetHdrHeight;external 'VTSSDLL' index 176;
function SSSetHdrSelection;external 'VTSSDLL' index 177;
function SSSetHdrWidth;external 'VTSSDLL' index 178;
function SSSetIteration;external 'VTSSDLL' index 179;
function SSSetLeftCol;external 'VTSSDLL' index 180;
{function SSSetLineStyle;external 'VTSSDLL';}
function SSSetLogicalRC;external 'VTSSDLL' index 181;
function SSSetMaxCol;external 'VTSSDLL' index 182;
function SSSetMaxRow;external 'VTSSDLL' index 183;
function SSSetMinCol;external 'VTSSDLL' index 243;
function SSSetMinRow;external 'VTSSDLL' index 244;
{function SSSetMode;external 'VTSSDLL';}
function SSSetNumber;external 'VTSSDLL' index 184;
function SSSetNumberFormat;external 'VTSSDLL' index 185;
function SSSetNumberRC;external 'VTSSDLL' index 186;
function SSSetPattern;external 'VTSSDLL' index 187;
{function SSSetPolyEditMode;external 'VTSSDLL';}
function SSSetPrintArea;external 'VTSSDLL' index 188;
function SSSetPrintAreaFromSelection;external 'VTSSDLL' index 189;
function SSSetPrintBottomMargin;external 'VTSSDLL' index 190;
function SSSetPrintColHeading;external 'VTSSDLL' index 191;
function SSSetPrintFooter;external 'VTSSDLL' index 192;
function SSSetPrintGridLines;external 'VTSSDLL' index 193;
function SSSetPrintHCenter;external 'VTSSDLL' index 194;
function SSSetPrintHeader;external 'VTSSDLL' index 195;
{function SSSetPrintLandscape;external 'VTSSDLL';}
function SSSetPrintLeftMargin;external 'VTSSDLL' index 196;
function SSSetPrintLeftToRight;external 'VTSSDLL' index 197;
function SSSetPrintNoColor;external 'VTSSDLL' index 198;
function SSSetPrintRightMargin;external 'VTSSDLL' index 200;
function SSSetPrintRowHeading;external 'VTSSDLL' index 201;
{function SSSetPrintScale;external 'VTSSDLL';}
function SSSetPrintTitles;external 'VTSSDLL' index 202;
function SSSetPrintTitlesFromSelection;external 'VTSSDLL' index 203;
function SSSetPrintTopMargin;external 'VTSSDLL' index 204;
function SSSetPrintVCenter;external 'VTSSDLL' index 205;
function SSSetProtection;external 'VTSSDLL' index 206;
function SSSetRepaint;external 'VTSSDLL' index 207;
function SSSetRowHeight;external 'VTSSDLL' index 208;
function SSSetRowHeightAuto;external 'VTSSDLL' index 209;
function SSSetRowMode;external 'VTSSDLL' index 210;
function SSSetRowText;external 'VTSSDLL' index 211;
{function SSSetScale;external 'VTSSDLL';}
function SSSetSelection;external 'VTSSDLL' index 212;
function SSSetSelectionRef;external 'VTSSDLL' index 213;
function SSSetShowColHeading;external 'VTSSDLL' index 214;
function SSSetShowFormulas;external 'VTSSDLL' index 215;
function SSSetShowGridLines;external 'VTSSDLL' index 216;
function SSSetShowHScrollBar;external 'VTSSDLL' index 217;
function SSSetShowRowHeading;external 'VTSSDLL' index 218;
function SSSetShowSelections;external 'VTSSDLL' index 219;
function SSSetShowVScrollBar;external 'VTSSDLL' index 220;
function SSSetShowZeroValues;external 'VTSSDLL' index 221;
function SSSetSSEdit;external 'VTSSDLL' index 222;
{function SSSetTabbedText;external 'VTSSDLL';}
function SSSetText;external 'VTSSDLL' index 223;
function SSSetTextRC;external 'VTSSDLL' index 224;
function SSSetTitle;external 'VTSSDLL' index 225;
function SSSetTopLeftText;external 'VTSSDLL' index 226;
function SSSetTopRow;external 'VTSSDLL' index 227;
function SSShowActiveCell;external 'VTSSDLL' index 228;
function SSSort;external 'VTSSDLL' index 229;
function SSSort3;external 'VTSSDLL' index 230;
function SSSortDlg;external 'VTSSDLL' index 231;
function SSStartEdit;external 'VTSSDLL' index 239;
function SSSwapTables;external 'VTSSDLL' index 232;
function SSTransactCommit;external 'VTSSDLL' index 233;
function SSTransactRollback;external 'VTSSDLL' index 234;
function SSTransactStart;external 'VTSSDLL' index 235;
function SSTwipsToRC;external 'VTSSDLL' index 246;
function SSVersion : word;external 'VTSSDLL' index 237;
function SSWrite;external 'VTSSDLL' index 238;
function SSWriteIO;external 'VTSSDLL' index 199;
{procedure SSHeapMin;external 'VTSSDLL';}
procedure SSUpdate;external 'VTSSDLL' index 236;
end.
