program delphi_saeuberung;

  uses
    crt,dos;

  function exist(filen:string):boolean;
    var
      f:file;
    begin
      assign(f,filen);
      {$i-}
      reset(f,1);
      {$i+}
      if ioresult=0 then begin
        exist:=true;
        close(f);
      end else begin
        exist:=false;
      end;
    end;

  procedure deleteone(filen:String);
    var
      f:file;
    begin
      if not exist(filen) then exit;
      assign(f,filen);
      {$i-}
      erase(f);
      {$i+}
      if exist(filen) then writeln(filen+' konnte nicht gelscht werden !');
    end;

  procedure deleteall(path,spec,mustexist:string);
    var
      s:searchrec;
      dir,name,ext:string;
      ch:char;
    begin
      findfirst(path+spec,anyfile,s);
      while doserror=0 do begin
        if s.attr=directory then begin
          { Directory }
        end else begin
          if mustexist='' then begin
            deleteone(path+s.name);
          end else begin
            fsplit(s.name,dir,name,ext);
            if exist(path+name+'.'+mustexist) then
              deleteone(path+s.name)
            else
              writeln(s.name+' bergangen.');
          end;
        end;
        findnext(s);
      end;
      findfirst(path+'*.*',anyfile,s);
      while doserror=0 do begin
        if (s.attr=directory) and (s.name[1]<>'.') then begin
          writeln(' *** '+s.name+' auch durchgehen (J/N) ?');
          ch:=upcase(readkey);
          if ch='J' then deleteall(path+s.name+'\',spec,mustexist);
        end;
        findnext(s);
      end;
    end;

  begin
    writeln('Delphi Suberung');
    writeln('================');
    writeln('(C) 1995 Matthias Laschat');
    writeln;
    writeln('Lsche *.~* ...');
    deleteall('.\','*.~*','');
    writeln('Lsche *.OBJ ...');
    deleteall('.\','*.OBJ','');
    writeln('Lsche *.TPU ...');
    deleteall('.\','*.TPU','PAS');
    writeln('Lsche *.DCU ...');
    deleteall('.\','*.DCU','PAS');
    writeln;
    writeln('Fertig.');
  end.
