unit Exa06;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, VBXCtrl, Chart2fx, chartfx;

type
  TForm1 = class(TForm)
    ChartFX1: TChartFX;
    procedure FormCreate(Sender: TObject);
    procedure ChartFX1LButtonDblClk(Sender: TObject; var X, Y, nSerie,
      nPoint, nRes: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
    ChartFX1.OpenData[COD_VALUES] := MAKELONG(2, 8);

    ChartFX1.ThisSerie := 0;
    ChartFX1.Value[0] := 30;
    ChartFX1.Value[1] := 20;
    ChartFX1.Value[2] := 40;
    ChartFX1.Value[3] := 60;
    ChartFX1.Value[4] := 50;
    ChartFX1.Value[5] := 15;
    ChartFX1.Value[6] := 24;
    ChartFX1.Value[7] := 35;

    ChartFX1.ThisSerie := 1;
    ChartFX1.Value[0] := 45;
    ChartFX1.Value[1] := 60;
    ChartFX1.Value[2] := 30;
    ChartFX1.Value[3] := 60;
    ChartFX1.Value[4] := 80;
    ChartFX1.Value[5] := 45;
    ChartFX1.Value[6] := 15;
    ChartFX1.Value[7] := 45;

    ChartFX1.CloseData[COD_VALUES] := 0;

    { Add Stripe }

    ChartFX1.OpenData[COD_STRIPES] := 1;
    chart_SetStripe(
    ChartFX1.Handle,0,25,50,RGB(128,0,128));
    ChartFX1.CloseData[COD_STRIPES] := 0;


end;

procedure TForm1.ChartFX1LButtonDblClk(Sender: TObject; var X, Y, nSerie,
  nPoint, nRes: Integer);
var
   sx,sy,sPoint,sSerie: String;
   dValue: Double;

begin
    Str(X, sX);
    Str(Y, sY);
    Str(nPoint, sPoint);
    Str(nSerie, sSerie);

    If (nSerie = -1) OR (nPoint = -1) Then
        MessageDlg('Empty DobleClick X:' + sX + ' Y:' + sY, mtWarning, [mbOK], 0)
    Else
    begin
        ChartFX1.ThisSerie := nSerie;
        dValue := ChartFX1.Value[nPoint];
        If (dValue < 25) Then
            nRes := 1
        Else
            If (dValue < 50) Then
                ChartFX1.HText := 'Value between 25 and 50'
    end
end;

end.
