unit Exa07;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, VBXCtrl, Chart2fx, chartfx, Menus;

type
  TForm1 = class(TForm)
    Button1: TButton;
    MainMenu1: TMainMenu;
    Option11: TMenuItem;
    Option21: TMenuItem;
    Option31: TMenuItem;
    Option12: TMenuItem;
    ChartFX1: TChartFX;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ChartFX1Menu(Sender: TObject; var wParam, nSerie, nPoint,
      nRes: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;


implementation

{$R *.DFM}

Function GetSubMenu(hMenu:HMENU; nPos:Integer): HMENU;far;external 'user.exe';

procedure TForm1.FormCreate(Sender: TObject);
begin
    ChartFX1.OpenData[COD_VALUES] := MAKELONG(2, 8);

    ChartFX1.ThisSerie := 0;
    ChartFX1.Value[0] := 30;
    ChartFX1.Value[1] := 20;
    ChartFX1.Value[2] := 40;
    ChartFX1.Value[3] := 60;
    ChartFX1.Value[4] := 50;
    ChartFX1.Value[5] := 15;
    ChartFX1.Value[6] := 24;
    ChartFX1.Value[7] := 35;

    ChartFX1.ThisSerie := 1;
    ChartFX1.Value[0] := 45;
    ChartFX1.Value[1] := 60;
    ChartFX1.Value[2] := 30;
    ChartFX1.Value[3] := 60;
    ChartFX1.Value[4] := 80;
    ChartFX1.Value[5] := 45;
    ChartFX1.Value[6] := 15;
    ChartFX1.Value[7] := 45;

    ChartFX1.CloseData[COD_VALUES] := 0;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
   menu: Tmenu;

begin
    { read template }
    ChartFX1.ReadTemplate := 'OLDUSER.CHT';

    ChartFX1.YLeg[0] := 'Really Bad';
    ChartFX1.YLeg[1] := 'Bad';
    ChartFX1.YLeg[2] := 'Regular';
    ChartFX1.YLeg[3] := 'Good';
    ChartFX1.YLeg[4] := 'Excellent';

    { Tell Chart FX how to use the legends (GAP) }
    ChartFX1.Adm[CSA_YLEGGAP] := 20;

    { Set the legends }
    ChartFX1.Legend[0] := 'Peter Gabriel';
    ChartFX1.KeyLeg[0] := 'PG';
    ChartFX1.Legend[1] := 'Phil Collins';
    ChartFX1.KeyLeg[1] := 'PC';
    ChartFX1.Legend[2] := 'Bruce Springsteen';
    ChartFX1.KeyLeg[2] := 'BS';
    ChartFX1.Legend[3] := 'Tracy Chapman';
    ChartFX1.KeyLeg[3] := 'TC';
    ChartFX1.Legend[4] := 'Big Mamma Thornton';
    ChartFX1.KeyLeg[4] := 'BM';
    ChartFX1.Legend[5] := 'Paul Simon';
    ChartFX1.KeyLeg[5] := 'PS';
    ChartFX1.Legend[6] := 'Louis Armstrong';
    ChartFX1.KeyLeg[6] := 'LA';
    ChartFX1.Legend[7] := 'John Lennon';
    ChartFX1.KeyLeg[7] := 'JL';

    { Series Legends }
    ChartFX1.SerLeg[0] := 'First Test';
    ChartFX1.SerLeg[1] := 'Second Test';

    ChartFX1.pType := ChartFX1.pType OR CT_LEGEND;

    ChartFX1.LeftGap := 70;

    Button1.Enabled := False;

    { RightClk Menu }

    menu := Form1.Menu;
    ChartFX1.RigClk[CHART_MENUCLK] := GetSubMenu(menu.Handle,0);

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
    ChartFX1.WriteTemplate := 'OLDUSER.CHT';
end;

procedure TForm1.ChartFX1Menu(Sender: TObject; var wParam, nSerie, nPoint,
  nRes: Integer);
var
   s1,s2,s3:string;
begin
     Str(wParam-2, s1);
     Str(nPoint, s2);
     Str(nSerie, s3);
     MessageDlg('Menu Option:'+s1+' nPoint:'+s2+' nSerie:'+s3, mtWarning, [mbOK], 0);
end;

end.
