unit Movicon; {Copyright (c)1995 Howard S. Spector}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Timer1: TTimer;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    CurrentState  :Byte;       {Which Icon to display next 1 through 4}
    { Public declarations }    { Icons are pulled from the Image Objects}
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if IsIconic(Application.Handle) then
    Begin
     case CurrentState Of
      1:Application.Icon:=Image1.Picture.Icon;
      2:Application.Icon:=Image2.Picture.Icon;
      3:Application.Icon:=Image3.Picture.Icon;
      4:Application.Icon:=Image4.Picture.Icon;
      end;{case}
     InvalidateRect(Application.Handle, nil, True);
     inc(CurrentState);
     if CurrentState>4 then
       CurrentState:=1;
    End;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CurrentState:=1;
end;

end.
