unit Seldate;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Calend;

type
  TForm_demo_selection_date = class(TForm)
    GroupBox1             : TGroupBox;
    BitBtn_selection_date : TBitBtn;
    BitBtn_quitte         : TBitBtn;
    Label_date            : TLabel;
    Label_date_long       : TLabel;
    Calendrier1           : TCalendrier;

    procedure FormActivate(Sender: TObject);
    procedure BitBtn_quitteClick(Sender: TObject);
    procedure BitBtn_selection_dateClick(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  Form_demo_selection_date: TForm_demo_selection_date;

implementation

{$R *.DFM}

procedure TForm_demo_selection_date.FormActivate(Sender: TObject);
var
annee,mois,jour : word;
begin
 label_date.caption:=datetostr(date);
 Label_date_long.caption:=FormatDateTime('DDDD DD MMMM YYYY',date);
 decodedate(date,annee,mois,jour);
 Calendrier1.day   := jour;
 Calendrier1.month := mois;
 Calendrier1.Year  := annee;
end;

procedure TForm_demo_selection_date.BitBtn_quitteClick(Sender: TObject);
begin
 close;
end;

procedure TForm_demo_selection_date.BitBtn_selection_dateClick(Sender: TObject);
var
s : string[40];
begin
  if calendrier1.execute then
  begin
   Label_date.caption      := Calendrier1.DateStr;
   Label_date_long.caption := calendrier1.SLong;
  end;
end;

end.
