(*{$A+,B-,D+,F-,G+,I+,K+,L+,N+,P+,Q+,R+,S+,T-,V+,W-,X+,Y+}*)
{$M 16384,8192}
unit Wcomman;

interface

uses
  SysUtils,
  WinTypes,
  WinProcs,
  Messages,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  Dongel;

type
  TCommands = (Restart, Reboot, Quit);
  TWinCommand = class(TComponent)
  private
    FWinCommand : TCommands;
  protected
  public
    constructor Create(AOwner:TComponent);override;
    destructor Destroy;override;
    Procedure Execute;
  published
    Property Command : TCommands read FWinCommand
    	write FWinCommand default Quit;
end;

procedure Register;


implementation

{------------------------------------------------------------------------}

procedure TWinCommand.Execute;
begin
 Case fWinCommand of
 Restart: ExitWindows(ew_restartwindows, 0);
 ReBoot : ExitWindows(ew_rebootsystem, 0);
 Quit   : ExitWindows(0, 0);
 End;
end;

{------------------------------------------------------------------------}
procedure Register;
begin
  RegisterComponents('Zubehr II', [TWinCommand]);
end;

{------------------------------------------------------------------------}
constructor TWinCommand.Create(AOwner:TComponent);
begin
     inherited Create(AOwner);
     FWinCommand := Quit;
end;

{------------------------------------------------------------------------}
destructor TWinCommand.Destroy;
begin
     inherited Destroy;
end;

end.
